> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current contract by employeeId



## OpenAPI

````yaml GET /contract/v1/contracts/{employeeId}/current-contract
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contracts/{employeeId}/current-contract:
    get:
      tags:
        - Contracts
      summary: Get current contract by employeeId
      operationId: currentContract
      parameters:
        - in: path
          name: employeeId
          description: Employee ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 8c642543-8971-4763-8ebc-7549a382cab2
                      status:
                        type: string
                        example: current
                      jobCharge:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 91358d5f-14c7-4b89-a180-9cb145d4fe2f
                          name:
                            type: string
                            example: Administrador asociado de recursos humanos
                          editable:
                            type: boolean
                            example: false
                      workdayType:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 9ecceaa1-f40c-41d6-ac82-16611f33c7e7
                          name:
                            type: string
                            example: Completa
                          editable:
                            type: boolean
                            example: false
                      contractType:
                        type: object
                        properties:
                          id:
                            type: string
                            example: 09ad1dc4-5342-4f0e-bd12-9d829915076b
                          name:
                            type: string
                            example: Indefinido
                          editable:
                            type: boolean
                            example: false
                      degree:
                        type: object
                        properties:
                          id:
                            type: string
                            example: deb4fc22-0481-4673-8f30-b29094fc2876
                          name:
                            type: string
                            example: Grado superior FP
                          editable:
                            type: boolean
                            example: false
                      agreement:
                        type: string
                      startAt:
                        type: string
                        example: '2022-07-01'
                      endAt:
                        type: string
                        example: '2022-09-30'
                      comment:
                        type: string
                        example: Revisar contrato.
                      trialPeriod:
                        type: object
                        properties:
                          quantity:
                            type: integer
                            example: 6
                          trialPeriodType:
                            type: string
                            example: months
                      code:
                        type: string
                        example: '001'
                      socialSecurityNumber:
                        type: string
                        example: '12345678'
                      holidays:
                        type: object
                        properties:
                          totalHolidays:
                            type: integer
                            example: 12
                          holidayType:
                            type: string
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````